## hubzero-chuse 1.0.0

=== Makefile ===
# @package      hubzero-chuse
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2011 Purdue University. All rights reserved.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2011 Purdue University
# All rights reserved.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of Purdue University.
#

INSTDIR=$(DESTDIR)/usr/lib
SHAREDIR=$(DESTDIR)/usr/share
ETCDIR=$(DESTDIR)/etc
USRBINDIR=$(DESTDIR)/usr/bin
OWNER=root
GROUP=root

CFLAGS  = 
LDFLAGS =

clean:

install:
	install --owner $(OWNER) --group $(GROUP) --mode 0711 -d $(USRBINDIR)
	install --owner $(OWNER) --group $(GROUP) --mode 0711 -d $(SHAREDIR)/hubzero-chuse
	install --owner $(OWNER) --group $(GROUP) --mode 0711 -d $(SHAREDIR)/hubzero-chuse/images
	install cblist.tcl $(SHAREDIR)/hubzero-chuse --owner $(OWNER) --group $(GROUP) --mode 0755
	install chuse.tcl $(SHAREDIR)/hubzero-chuse --owner $(OWNER) --group $(GROUP) --mode 0755
	install env_files.tcl $(SHAREDIR)/hubzero-chuse --owner $(OWNER) --group $(GROUP) --mode 0755
	install images/cancel.png $(SHAREDIR)/hubzero-chuse/images --owner $(OWNER) --group $(GROUP) --mode 0755
	install images/cboff.gif $(SHAREDIR)/hubzero-chuse/images --owner $(OWNER) --group $(GROUP) --mode 0755
	install images/cbon.gif $(SHAREDIR)/hubzero-chuse/images --owner $(OWNER) --group $(GROUP) --mode 0755
	install images/green_left_arrow.png $(SHAREDIR)/hubzero-chuse/images --owner $(OWNER) --group $(GROUP) --mode 0755
	install images/green_right_arrow.png $(SHAREDIR)/hubzero-chuse/images --owner $(OWNER) --group $(GROUP) --mode 0755
	install images/grey30_left_arrow.png $(SHAREDIR)/hubzero-chuse/images --owner $(OWNER) --group $(GROUP) --mode 0755
	install images/grey30_right_arrow.png $(SHAREDIR)/hubzero-chuse/images --owner $(OWNER) --group $(GROUP) --mode 0755
	install images/reset.png $(SHAREDIR)/hubzero-chuse/images --owner $(OWNER) --group $(GROUP) --mode 0755
	install images/stock_insert-math-object.png $(SHAREDIR)/hubzero-chuse/images --owner $(OWNER) --group $(GROUP) --mode 0755
	install images/text-editor.png $(SHAREDIR)/hubzero-chuse/images --owner $(OWNER) --group $(GROUP) --mode 0755
	install images/wrench.png $(SHAREDIR)/hubzero-chuse/images --owner $(OWNER) --group $(GROUP) --mode 0755
	ln -f -s  /usr/share/hubzero-chuse/chuse.tcl $(USRBINDIR)/chuse

## hubzero-chuse 1.1.0

=== Makefile ===
# @package      hubzero-chuse
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2011-2012 Purdue University. All rights reserved.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2011-2012 Purdue University
# All rights reserved.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of Purdue University.
#

INSTDIR=$(DESTDIR)/usr/lib
SHAREDIR=$(DESTDIR)/usr/share
ETCDIR=$(DESTDIR)/etc
USRBINDIR=$(DESTDIR)/usr/bin
OWNER=root
GROUP=root

clean:

install:
	install --owner $(OWNER) --group $(GROUP) --mode 0755 -d $(USRBINDIR)
	install --owner $(OWNER) --group $(GROUP) --mode 0755 -d $(SHAREDIR)/hubzero-chuse
	install --owner $(OWNER) --group $(GROUP) --mode 0755 -d $(SHAREDIR)/hubzero-chuse/images
	install cblist.tcl $(SHAREDIR)/hubzero-chuse --owner $(OWNER) --group $(GROUP) --mode 0644
	install chuse.tcl $(SHAREDIR)/hubzero-chuse --owner $(OWNER) --group $(GROUP) --mode 0755
	install env_files.tcl $(SHAREDIR)/hubzero-chuse --owner $(OWNER) --group $(GROUP) --mode 0644
	install images/cancel.png $(SHAREDIR)/hubzero-chuse/images --owner $(OWNER) --group $(GROUP) --mode 0644
	install images/cboff.gif $(SHAREDIR)/hubzero-chuse/images --owner $(OWNER) --group $(GROUP) --mode 0644
	install images/cbon.gif $(SHAREDIR)/hubzero-chuse/images --owner $(OWNER) --group $(GROUP) --mode 0644
	install images/green_left_arrow.png $(SHAREDIR)/hubzero-chuse/images --owner $(OWNER) --group $(GROUP) --mode 0644
	install images/green_right_arrow.png $(SHAREDIR)/hubzero-chuse/images --owner $(OWNER) --group $(GROUP) --mode 0644
	install images/grey30_left_arrow.png $(SHAREDIR)/hubzero-chuse/images --owner $(OWNER) --group $(GROUP) --mode 0644
	install images/grey30_right_arrow.png $(SHAREDIR)/hubzero-chuse/images --owner $(OWNER) --group $(GROUP) --mode 0644
	install images/reset.png $(SHAREDIR)/hubzero-chuse/images --owner $(OWNER) --group $(GROUP) --mode 0644
	install images/stock_insert-math-object.png $(SHAREDIR)/hubzero-chuse/images --owner $(OWNER) --group $(GROUP) --mode 0644
	install images/text-editor.png $(SHAREDIR)/hubzero-chuse/images --owner $(OWNER) --group $(GROUP) --mode 0644
	install images/wrench.png $(SHAREDIR)/hubzero-chuse/images --owner $(OWNER) --group $(GROUP) --mode 0644
	ln -f -s  /usr/share/hubzero-chuse/chuse.tcl $(USRBINDIR)/chuse

## hubzero-chuse 1.1.3

=== Makefile ===
# @package      hubzero-chuse
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2011-2012 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2011-2012 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

INSTDIR=$(DESTDIR)/usr/lib
SHAREDIR=$(DESTDIR)/usr/share
ETCDIR=$(DESTDIR)/etc
USRBINDIR=$(DESTDIR)/usr/bin

default:
	@true

clean:
	@true
	
install:
	install --mode 0755 -d $(USRBINDIR)
	install --mode 0755 -d $(SHAREDIR)/hubzero-chuse
	install --mode 0755 -d $(SHAREDIR)/hubzero-chuse/images
	install cblist.tcl $(SHAREDIR)/hubzero-chuse --mode 0644
	install chuse.tcl $(SHAREDIR)/hubzero-chuse --mode 0755
	install env_files.tcl $(SHAREDIR)/hubzero-chuse --mode 0644
	install images/cancel.png $(SHAREDIR)/hubzero-chuse/images --mode 0644
	install images/cboff.gif $(SHAREDIR)/hubzero-chuse/images --mode 0644
	install images/cbon.gif $(SHAREDIR)/hubzero-chuse/images --mode 0644
	install images/green_left_arrow.png $(SHAREDIR)/hubzero-chuse/images --mode 0644
	install images/green_right_arrow.png $(SHAREDIR)/hubzero-chuse/images --mode 0644
	install images/grey30_left_arrow.png $(SHAREDIR)/hubzero-chuse/images --mode 0644
	install images/grey30_right_arrow.png $(SHAREDIR)/hubzero-chuse/images --mode 0644
	install images/reset.png $(SHAREDIR)/hubzero-chuse/images --mode 0644
	install images/stock_insert-math-object.png $(SHAREDIR)/hubzero-chuse/images --mode 0644
	install images/text-editor.png $(SHAREDIR)/hubzero-chuse/images --mode 0644
	install images/wrench.png $(SHAREDIR)/hubzero-chuse/images --mode 0644
	ln -f -s  /usr/share/hubzero-chuse/chuse.tcl $(USRBINDIR)/chuse

## hubzero-chuse 1.1.5

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-chuse
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2011-2012 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2011-2013 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2011-2012 HUBzero Foundation, LLC.
+# Copyright (c) 2011-2013 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-chuse 1.2.0

=== Makefile ===
# @package      hubzero-chuse
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRBIN=$(DESTDIR)/usr/bin
USRLIB=$(DESTDIR)/usr/lib
ETC=$(DESTDIR)/etc
USRSHARE=$(DESTDIR)/usr/share

all:
	@true

install:
	install --mode 0755 -d $(USRBIN)
	install --mode 0755 -d $(USRSHARE)/hubzero-chuse
	install --mode 0755 -d $(USRSHARE)/hubzero-chuse/images
	install cblist.tcl $(USRSHARE)/hubzero-chuse --mode 0644
	install chuse.tcl $(USRSHARE)/hubzero-chuse --mode 0755
	install env_files.tcl $(USRSHARE)/hubzero-chuse --mode 0644
	install images/cancel.png $(USRSHARE)/hubzero-chuse/images --mode 0644
	install images/cboff.gif $(USRSHARE)/hubzero-chuse/images --mode 0644
	install images/cbon.gif $(USRSHARE)/hubzero-chuse/images --mode 0644
	install images/green_left_arrow.png $(USRSHARE)/hubzero-chuse/images --mode 0644
	install images/green_right_arrow.png $(USRSHARE)/hubzero-chuse/images --mode 0644
	install images/grey30_left_arrow.png $(USRSHARE)/hubzero-chuse/images --mode 0644
	install images/grey30_right_arrow.png $(USRSHARE)/hubzero-chuse/images --mode 0644
	install images/reset.png $(USRSHARE)/hubzero-chuse/images --mode 0644
	install images/stock_insert-math-object.png $(USRSHARE)/hubzero-chuse/images --mode 0644
	install images/text-editor.png $(USRSHARE)/hubzero-chuse/images --mode 0644
	install images/wrench.png $(USRSHARE)/hubzero-chuse/images --mode 0644
	ln -f -s  /usr/share/hubzero-chuse/chuse.tcl $(USRBIN)/chuse

uninstall:
	@true

postinst:
	@true

clean:
	@true

.PHONY: all install uninstall postinst clean

## hubzero-chuse 1.3.1

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-chuse
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-chuse 2.2.0-1+deb8

=== Makefile ===
--- 
+++ 
@@ -2,25 +2,27 @@
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
 # @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
-# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
+# @license      http://opensource.org/licenses/MIT MIT
 #
 # Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 #
-# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
 #
-# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
-# software: you can redistribute it and/or modify it under the terms of
-# the GNU Lesser General Public License as published by the Free Software
-# Foundation, either version 3 of the License, or (at your option) any
-# later version.
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
 #
-# HUBzero is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU Lesser General Public License for more details.
-#
-# You should have received a copy of the GNU Lesser General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# THE SOFTWARE.
 #
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #

=== debian/changelog ===
hubzero-chuse (2.2.0-1+deb8) unstable; urgency=low

  * update copyright statements
  * add debian 9 packaging support

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 24 May 2018 13:19:35 -0400

hubzero-chuse (2.0.0-1) unstable; urgency=low

  * update copyright, license, version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 29 Aug 2015 14:21:15 -0400

hubzero-chuse (1.3.1-1) unstable; urgency=low

  * update copyright statements

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 09 Feb 2015 14:53:22 -0500

hubzero-chuse (1.2.0-1) unstable; urgency=low

  * repackaged to support multiple Debian releases

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 08 Sep 2014 17:17:31 -0400

hubzero-chuse (1.1.5-1) unstable; urgency=low

  * repackaging 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 24 Aug 2013 13:11:03 -0400

hubzero-chuse (1.1.4-1) unstable; urgency=low

  * update copyright statements

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 15 Aug 2013 19:57:55 -0400

hubzero-chuse (1.1.3-1) unstable; urgency=low

  * fix glob calls to not complain about empty directories

 -- Derrick Kearney <dsk@purdue.edu>  Thu, 25 Oct 2012 14:19:40 -0400

hubzero-chuse (1.1.1-1) unstable; urgency=low

  * update copyrights

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 29 Aug 2012 20:10:25 -0400

hubzero-chuse (1.1.0-1) unstable; urgency=low

  * fix lintian errors

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 19 Mar 2012 13:35:33 -0400

hubzero-chuse (1.0.1-1) testing; urgency=low

  * fix sourcing of /etc/environ.sh

 -- Derrick Kearney <dsk@purdue.edu>  Sat, 25 Feb 2012 16:43:34 -0500

hubzero-chuse (1.0.0-1) testing; urgency=low

  * updated to 1.0

 -- John Rosheck <jrosheck@purdue.edu>  Thu, 07 Apr 2011 23:43:03 -0400

hubzero-chuse (0.9.1-1) testing; urgency=low

  * fix chuse link in Makefile 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 04 Apr 2011 10:15:27 -0400

hubzero-chuse (0.9.0-1) testing; urgency=low

  * initial release

 -- John Rosheck <jrosheck@purdue.edu>  Mon, 04 Apr 2011 01:31:26 -0400

## hubzero-chuse 2.2.0-1+deb9

=== debian/changelog ===
hubzero-chuse (2.2.0-1+deb9) unstable; urgency=low

  * update copyright statements
  * add debian 9 packaging support

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 24 May 2018 13:19:35 -0400

=== debian/control ===
Source: hubzero-chuse
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-chuse
Architecture: all
Depends: libtk-img, hubzero-use,  ${misc:Depends}
Description: HUBzero graphical front end to the user environment manager 'use'
 HUBzero graphical front end to the user environment manager 'use.' Controls
 which 'use' environments are loaded in a persistent state for the user.

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-chuse
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-chuse install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-chuse 2.2.0-1+deb10

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-chuse
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,7 +23,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 USRBIN=$(DESTDIR)/usr/bin

=== debian/changelog ===
hubzero-chuse (2.2.0-1+deb10) unstable; urgency=low

  * update copyright statements
  * add debian 9 packaging support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 24 May 2018 13:19:35 -0400

## hubzero-chuse 2.2.1-1+deb9

=== debian/changelog ===
hubzero-chuse (2.2.1-1+deb9) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 09:01:25 -0700

hubzero-chuse (2.2.0-1) unstable; urgency=low

  * update copyright statements
  * add debian 9 packaging support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 24 May 2018 13:19:35 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hubzero-chuse
 Section: misc
 Priority: optional
-Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
+Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
 Build-Depends: debhelper (>= 8.0.0)
 Standards-Version: 3.8.4
 Homepage: http://hubzero.org

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 #
 # @package      hubzero-chuse
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -26,7 +25,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.

## hubzero-chuse 2.2.1-1+deb12

=== debian/changelog ===
hubzero-chuse (2.2.1-1+deb12) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 09:01:25 -0700
